coreutils (9.5-1ubuntu4) questing; urgency=medium

  * Run the autopkgtest against both Rust and GNU versions.
    Disable the failing nanosecond test case for stat for Rust,
    and re-enable it for the GNU version only.
    Some specific care had to be taken around swapping the default
    provider: The coreutils-from-uutils are Protected: yes, so we
    need to remove them inside the test script.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 25 Sep 2025 10:51:15 +0200

coreutils (9.5-1ubuntu3) questing; urgency=medium

  * d/p/suppress-permission-denied-errors-on-nfs.patch:
    - Avoid returning permission denied errors when running ls -l when reading
      file attributes. (LP: #2115274)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Tue, 24 Jun 2025 21:23:49 +0000

coreutils (9.5-1ubuntu2) questing; urgency=medium

  * Rename the binary package to gnu-coreutils and build with 'gnu' prefix

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 08 May 2025 11:06:23 +0200

coreutils (9.5-1ubuntu1.25.10.1) questing; urgency=medium

  * Modify d/rules to dh_auto_configure with --enable-systemd,
    and add libsystemd-dev as Build-Depends in d/control
    to solve LP: #2103489.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 25 Apr 2025 08:55:05 +0200

coreutils (9.5-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed
  * Dropped (upstreamed) changes:
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 01:30:05 -0600

coreutils (9.5-1) unstable; urgency=low

  * New upstream version (Closes: #1033277)
  * drop cp -n patch
  * drop non-essential attributes in upstream/signing-key.asc to reduce size
  * update watch file to use https rather than ftp

 -- Michael Stone <mstone@debian.org>  Wed, 23 Oct 2024 09:08:43 -0400

coreutils (9.4-3.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2075338). Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 31 Jul 2024 18:24:19 +0300

coreutils (9.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * DEP17: Move files to /usr. (Closes: #1061274, #1057250)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Mar 2024 18:42:01 +0100

coreutils (9.4-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Apr 2024 16:36:57 +0200

coreutils (9.4-3ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:08:43 +0000

coreutils (9.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 04:54:09 +0000

coreutils (9.4-3ubuntu2) noble; urgency=medium

  * d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP: #2055180)
    The behavior of cp -n is different in Debian than in upstream, and
    this test assumes upstream behavior of -n, and how it interacts with
    -i.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 27 Feb 2024 12:22:53 -0500

coreutils (9.4-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684
    - DEP17: Move files to /usr. (Closes: #1061274)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 26 Feb 2024 12:50:04 -0500

coreutils (9.4-3) unstable; urgency=low

  * remove arch restriction from libssl-dev build-depend
  * revert cp -n behavior to debian 12 & prior (Closes: #1058752)
  * add deprecation/compatibility warning for above

 -- Michael Stone <mstone@debian.org>  Tue, 02 Jan 2024 08:54:03 -0500

coreutils (9.4-2ubuntu4) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1061274)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 12:07:56 +0100

coreutils (9.4-2ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: heap overflow in split --line-bytes with very long
    lines
    - debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
      src/split.c.
    - CVE-2024-0684

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Jan 2024 12:57:32 -0500

coreutils (9.4-2ubuntu2) noble; urgency=medium

  * d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
    Fix tailing of sysfs files on systems using a 64K page size.
    (LP: #2047450)

 -- dann frazier <dann.frazier@canonical.com>  Tue, 26 Dec 2023 11:25:09 -0700

coreutils (9.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
  * Dropped, unnecessary delta:
    - debian/patches/72_id_checkngroups.patch: patch fuzz
  * New changes:
    - debian/rules: update test path to fix armhf FTBFS
    - debian/tests/upstream: fix paths of test scripts

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 30 Nov 2023 12:02:32 -0500

coreutils (9.4-2) unstable; urgency=low

  * link against libssl if gpl compatible version available; add to
    build-depends for linux-amd64 only at this time (will add others later as
    makes sense)

 -- Michael Stone <mstone@debian.org>  Fri, 10 Nov 2023 08:33:49 -0500

coreutils (9.4-1) unstable; urgency=low

  * New upstream version (Closes: #1017354)
    - corrects cksum crashes due to missing cpu features (Closes: #1037264)
    - corrects copy dir-relative operations (Closes: #1035531)
    - corrects copy backup operations (Closes: #1035530)
  * Drop old 61_whoips.patch and who --ips option; it no longer applies
    cleanly after who.c refactoring, and it isn't clear the patch is still
    useful given how system logging has changed since the patch was written
  * Drop 63_dd-appenderrors.patch as documentation has been updated for ages
  * Update copyright file

 -- Michael Stone <mstone@debian.org>  Thu, 09 Nov 2023 14:18:41 -0500

coreutils (9.1-1ubuntu2) lunar; urgency=medium

  * Fix autopkgtest failure after a testcase was renamed from
    proc-selinux-segfault.sh to selinux-segfault.sh
    (LP #2002428)

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 10 Jan 2023 14:19:26 +0100

coreutils (9.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Dec 2022 14:47:43 +0100

coreutils (9.1-1) unstable; urgency=low

  * New upstream version (Closes: #1017354)
    - Corrects printf single quote behavior (Closes: #1017110)
    - Works around broken fuse.portal (Closes: #991378)
    - split --number=K/N fixed (Closes: #982300)
    - Supersedes restore-ls-behavior patch
  * Use DPKG_ROOT in postinst/postrm (Closes: #983565)
  * Update debhelper compat to 13
  * Update copyright file (Closes: #1012665)
  * remove old kfbsd patches 85 (timer_settime) and 99 (fstat)

 -- Michael Stone <mstone@debian.org>  Tue, 20 Sep 2022 11:27:27 -0400

coreutils (8.32-4.1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 17:03:08 +0100

coreutils (8.32-4ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:22 +0200

coreutils (8.32-4ubuntu2) hirsute; urgency=medium

  * d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
    - Extend default filesystem exlusion to fuse.portal (LP: #1905623)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 05 Dec 2020 21:55:44 +0100

coreutils (8.32-4ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - Fix FTBFS on ARM64.
      + d/p/improve-removed-directory-test.patch: Upstream patch to
        improve ls' removed-directory test.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 09 Nov 2020 23:10:35 +0000

coreutils (8.32-4) unstable; urgency=low

  * Fix FTBFS on ARM64. (Closes: #966449)
    - d/p/restore-ls-behavior-8.31.patch: Upstream patch to restore
      coreutils ls' 8.31 behavior on removed directories, which is
      necessary to prevent using SYS_getdents that doesn't exist on
      ARM64.

 -- Michael Stone <mstone@debian.org>  Tue, 22 Sep 2020 08:17:17 -0400

coreutils (8.32-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1888046). Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
  * Refresh d/patches/.
  * Fix FTBFS on ARM64.
    - d/p/restore-ls-behavior-8.31.patch: Upstream patch to restore
      coreutils ls' 8.31 behavior on removed directories, which is
      necessary to prevent using SYS_getdents that doesn't exist on
      ARM64.
    - d/p/improve-removed-directory-test.patch: Upstream patch to
      improve ls' removed-directory test.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 24 Jul 2020 15:01:15 -0400

coreutils (8.32-3) unstable; urgency=low

  * build with libgmp now that apt pulls it in anyway (Closes: #64527)

 -- Michael Stone <mstone@debian.org>  Mon, 20 Jul 2020 14:09:06 -0400

coreutils (8.32-2) unstable; urgency=low

  * undo "remove LC_TIME symlinks" as this causes problems with date
    display in some circumstances (Closes: #963513)

 -- Michael Stone <mstone@debian.org>  Tue, 23 Jun 2020 08:24:55 -0400

coreutils (8.32-1) unstable; urgency=low

  * New upstream version (Closes: #959995)
    - adds basenc command
  * Update to dh 12
  * Standards version 4.5.0 (no changes)

 -- Michael Stone <mstone@debian.org>  Mon, 22 Jun 2020 14:39:28 -0400

coreutils (8.30-3ubuntu3) groovy; urgency=medium

  * d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
    - Avoid displaying snaps in output from df and other tools, by
      excluding display of squashfs filesystems.
      (LP: #1219529, #1756595)
    - Exclude devtmpfs filesystems in output from df and other tools
      since it is a dummy filesystem.
      (LP: #1219529)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 02 Jul 2020 02:30:48 +0000

coreutils (8.30-3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:38:40 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnu-coreutils`.
